List Models
GET
/v1/utils/models
const url = 'https://example.com/v1/utils/models';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/utils/models \ --header 'Authorization: Bearer <token>'Models a task can use: decision models, then LLMs with structured outputs, each cheapest first.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Listmodels
Array<object>
Modelobject
id
required
Id
string
name
required
Name
string
kind
required
Kind
string
prompt_price
required
Prompt Price
number
completion_price
required
Completion Price
number
context_length
required
Context Length
integer
Example
[ { "kind": "decision" }]